Summary:	Terminal emulator for framebuffer
Summary(pl.UTF-8):	Emulator terminala dla framebuffera
Name:		fbterm
Version:	1.7
Release:	3
License:	GPL v2
Group:		Applications/Graphics
Source0:	http://fbterm.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	e882c4cb38e7e46ce4378203509c552f
Patch0:		%{name}-font-lang.patch
Patch1:		0001-Fix-build-with-gcc-6.patch
URL:		http://code.google.com/p/fbterm/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gpm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	ncurses
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FbTerm is a fast terminal emulator for linux with frame buffer device.
Features include:
- mostly as fast as terminal of linux kernel while accelerated
  scrolling is enabled on framebuffer device
- select font with fontconfig and draw text with freetype2, same as
  Qt/Gtk+ based GUI apps
- dynamicly create/destroy up to 10 windows initially running default
  shell
- record scrollback history for every window
- auto-detect text encoding with current locale, support double width
  scripts like Chinese, Japanese etc
- switch between configurable additional text encodings with hot keys
  on the fly
- copy/past selected text between windows with mouse when gpm server
  is running

%description -l pl.UTF-8
FbTerm jest szybkim emulatorem terminala działającym na linuksowym
framebufferze. Jego cechy to:
- prawie tak szybki jak terminal kernelowy, gdy akcelerowane
  przewijanie jest włączone
- wybór czcionki przez fontconfig i jej wyświetlanie przy użyciu
  freetype2, tak jak w aplikacjach Qt/Gtk+
- dynamiczne tworzenie/kasowanie do 10 okien z domyślną powłoką
- zapamiętywanie historii przewijania dla każdego okna
- autodetekcja kodowania tekstu, wsparcie dla znaków podwójnej
  szerokości jak chińskie czy japońskie, itd.
- przełączanie pomiędzy konfigurowalnymi dodatkowymi kodowaniami
  tekstu w locie przy użyciu klawiszy skrótu
- kopiowanie/wstawianie zaznaczonego tekstu pomiędzy oknami przy
  użyciu myszy, gdy serwer gpm jest uruchomiony

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/sbin/setcap 'cap_sys_tty_config+ep' %{_bindir}/fbterm

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Wed Mar 28 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fbterm.git;a=log;h=master

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> 65e921e
- rebuild for x32
- release 3 (by relup.sh)

* Sun Feb 18 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 619c17f
- added compilation fix from Arch
- terminfo file already in terminfo package
- rel 2

* Fri Mar 18 2011 witekfl <witekfl@pld-linux.org> de95c17
- pl

* Thu Oct 07 2010 witekfl <witekfl@pld-linux.org> 32510c6
- 1.7

* Sun Jan 17 2010 witekfl <witekfl@pld-linux.org> 955a18e
- font-lang option removed
- also removed setting FC_LANG to en
- works
- rel 4

* Sat Jan 16 2010 witekfl <witekfl@pld-linux.org> 529e7f9
- it wasn't done the right way

* Sat Jan 16 2010 witekfl <witekfl@pld-linux.org> ce2de7c
- added the font-lang.patch with the font-lang option
- rel 3

* Sat Jan 16 2010 witekfl <witekfl@pld-linux.org> 9fe263e
- added the fonts-pl.patch
- rel 2

* Sat Jan 16 2010 witekfl <witekfl@pld-linux.org> dbaab93
- added fonts-pl.patch (Set Polish as default fontconfig lang).
  Without this letters such as ćęłń, etc. were weird.
- rel 2

* Fri Dec 11 2009 sparky <sparky@pld-linux.org> 6da3056
- BR: pkgconfig

* Thu Dec 10 2009 witekfl <witekfl@pld-linux.org> 12a56a9
- up to 1.6

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ea63429
- drop obsolete files

* Sun Apr 26 2009 witekfl <witekfl@pld-linux.org> a93ab4a
- up to 1.5
- added the install.patch
- regenerated build files, added BRs

* Sun Apr 26 2009 witekfl <witekfl@pld-linux.org> 81a93ce
- removed an incovenient install-exex-hook

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> ea5e7ac
- sorted BRs

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> e508fe6
- outdated

* Sat Mar 14 2009 witekfl <witekfl@pld-linux.org> 0545bee
- up to 1.4
- added the terminfo entry for fbterm

* Thu Dec 25 2008 witekfl <witekfl@pld-linux.org> 833897d
- readded the 256_colors.patch
- rel 0.3

* Thu Dec 25 2008 witekfl <witekfl@pld-linux.org> 1a877f4
- updated for 1.3
- it is not done the right way. The separate entry for the fbterm ought
  to be added and 256 colors enabled only for the fbterm

* Sun Dec 21 2008 witekfl <witekfl@pld-linux.org> 6c5efb9
- set the cap_sys_tty_config capability after install to allow plain
  users use Shift-PageUp, etc. This will work if the kernel is built with
  the CONFIG_SECURITY_FILE_CAPABILITIES enabled.
- rel 0.2

